<?php
	if ( !defined('IN_MFA') )
		die("Hacking attempt");
	
	$user->DieNotValid();
		
	$to_mark = explode(";;",$_GET['object']);
	
	foreach($to_mark as $file_to_mark)
	{		
		$IsInList = is_locked($user->user_root_dir.$file_to_mark);	
		//Prüfen ob datei markiert oder demarkiert werden soll
		$operation = (gettype($IsInList) == "boolean")? "mark" :(($users[$IsInList] == $user->user_name)? "demark":"denied");

		if($operation == "mark")
			lock_file($user->user_root_dir.$file_to_mark);		
		elseif($operation == "demark")			
			unlock_file($user->user_root_dir.$file_to_mark);							 
	}
?>